/***************************************************************************
 *            callbacks.h
 *
 *  Wed Mar 14 14:49:11 2007
 *  Copyright  2007  hunbuso and cugb_cat
 *  hunbuso@gmail.com
*  xielichao1984@gmail.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

extern GtkWidget	*win_main;
extern GtkWidget *clist_machine;
extern GtkWidget *win_message_box;	
extern GtkWidget *win_get_message;
extern GtkWidget *textview_show_message;
extern GtkWidget *statusbar_main;
extern GtkWidget *filechooserdialog_send;
extern GtkWidget *window_send_files;
extern GtkWidget *label_file_num_total;
extern GtkWidget *label_file_dest;
extern GtkWidget *win_get_files;
extern GtkWidget *aboutdialog;
extern GtkWidget *filechooserdialog_save_files;
extern GtkWidget *clist_get_files;
extern GtkWidget	*textview_get_files;
extern GtkWidget	*dialog_overwrite_file_confirm;
extern GtkWidget	*label_overwrite_file_confirm;

gboolean
on_win_main_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_clist_machine_select_row            (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_clist_machine_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_button_refresh_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_send_message_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_message_OK_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_sendfile_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_sendfolder_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_win_get_message_show                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_button_cancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_reply_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_filechooser_button_cancel_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_filechooser_button_open_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_win_send_confirm_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_win_send_cancel_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_win_get_files_show                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_button_save_files_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_get_file_cancel_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_filechooserdialog_save_files_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_filechooserdialog_save_files_open_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelbutton_overwrite_file_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_okbutton_overwrite_file_OK_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_dialog_overwrite_file_confirm_show  (GtkWidget       *widget,
                                        gpointer         user_data);
